$(function()
{
    $('.switcher').unbind('click').on('click', function()
    {
        if($(this).parents('.btn-group.open').length) $(this).parents('.btn-group').removeClass('open');

        var url = $(this).attr('href');
        bootbox.confirm($(this).data('confirm'),  function(result)
        {
            if(result)
            {
                $.getJSON(url, function(response)
                {
                    if(response.result == 'success')
                    {
                        bootbox.alert(response.message, function(){location.reload()});
                    }
                    else
                    {
                        bootbox.alert(response.message);
                    }
                })
            }
        })
        return false;
    });

    var colorPicker = $('#myColor').data('zui.colorPicker');
})

/**
 * Initialize custom color selector. 
 * 
 * @access public
 * @return void
 */
function initColorPicker()
{
    var colorList = ['#272e33', '#2b529c', '#e48600', '#d2323d', '#229f24', '#777777', '#d2691e', '#008b8b', '#2e8b57', '#4169e1', '#4b0082', '#fa8072', '#ba55d3', '#6b8e23'];
    
    var selectedColor = $('input[name=color]').val();
    if(selectedColor && $.inArray(selectedColor, colorList) == -1) colorList.unshift(selectedColor.toLowerCase());
    colorList.forEach(function(color, index)
    {
        var itemClass = color == $('input[name=color]').val().toLowerCase() ? 'color-picker-item checked' : 'color-picker-item';
        var colorItem = "<div class='" + itemClass  + "' data-color='" + color  + "' style='background: " + color  + "'>";
        colorItem += "<i class='icon icon-check'></i>";
        colorItem += "</div>";
        $('#color-picker').append(colorItem);
    });
    
    $('.color-picker-item').click(function()
    {
        var color = $(this).attr('data-color');
        $('input[name=color]').val(color);
        $(this).addClass('checked');
        $(this).siblings().removeClass('checked');
    }) 
}
